base.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::Circuit::NodeInfo< View >
| Information required for non-recursive checking for a single scc. More...
class | Gecode::Int::Circuit::TellInfo< View >
| Information for performing a recorded tell. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Circuit
| Circuit propagators